/*******************************Calendar Top Navigation*********************************/
div#calendar {
    margin: 0px auto;
    padding: 0px;
    width: 362px;
    font-family: Helvetica, "Times New Roman", Times, serif;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-user-drag: none;
}

div#calendar div.box {
    position: relative;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 40px;
    background-color: #05BA46;
}

div#calendar div.header {
    line-height: 40px;
    vertical-align: middle;
    position: absolute;
    left: 11px;
    top: 0px;
    width: 342px;
    height: 40px;
    text-align: center;
}

div#calendar div.header a.prev, div#calendar div.header a.next {
    position: absolute;
    top: 0px;
    height: 17px;
    display: block;
    cursor: pointer;
    text-decoration: none;
    color: #FFF;
}

div#calendar div.header span.title {
    color: #FFF;
    font-size: 18px;
}


div#calendar div.header a.prev {
    left: 0px;
}

div#calendar div.header a.next {
    right: 0px;
}


/*******************************Calendar Content Cells*********************************/
div#calendar div.box-content {
    border: 1px solid #787878;
    border-top: none;
}


div#calendar ul.label {
    float: left;
    margin: 0px;
    padding: 0px;
    margin-top: 5px;
    margin-left: 5px;
}

div#calendar ul.label li {
    margin: 0px;
    padding: 0px;
    margin-right: 5px;
    float: left;
    list-style-type: none;
    width: 45px;
    height: 40px;
    line-height: 40px;
    vertical-align: middle;
    text-align: center;
    color: #000;
    font-size: 15px;
    background-color: transparent;
}

div#calendar .loadingDates {
    position: relative;
    top: 100px;
    text-align: center;
    width: 362px;
    font-size: 1.2rem;
    transition: 0.1s;
}

div#calendar ul.dates {
    float: left;
    margin: 0px;
    padding: 0px;
    transition: 0.3s;
    margin-left: 5px;
    margin-bottom: 5px;
}

/** overall width = width+padding-right**/
div#calendar ul.dates li {
    margin: 0px;
    padding: 0px;
    margin-right: 5px;
    margin-top: 5px;
    line-height: 45px;
    vertical-align: middle;
    float: left;
    list-style-type: none;
    width: 45px;
    height: 45px;
    font-size: 15px;
    background-color: #DDD;
    color: #000;
    text-align: center;
    transition: 0.3s;
}

div#calendar ul.dates li:not(.booked, .mask) {
    cursor: pointer;
}

div#calendar ul.dates li:is(.booked, .mask) {
    cursor: not-allowed;
}


div#calendar ul.dates li.cSelected {
    background-color: #22e567;
}

div#calendar ul.dates li.booked {
    background-color: #ec4242;
}

:focus {
    outline: none;
}

div.clear {
    clear: both;
}